<template>
    <Popup ref="pop" top="20px" :title="title" @close="close(true)" width="1400px" :maxHeight="'700px'"
        @cancel="close(false)">
        <div class="menuBox">
          <analysis></analysis>
        </div>
    </Popup>
</template>

<script>
import Popup from '@/components/Tool/Popup.vue';
import analysis from '../analysis/index.vue'
export default {
    name: 'dataAnalysis',
    components: { Popup, analysis },
    data() {
        return {
            title: '数据分析',
        };
    },
    methods: {
        // 关闭弹窗
        close(isCloseBtn, removeLayer = true) {
            //   removeLayer && this.removeImageLayer();
            // 重置data值
            Object.assign(this.$data, this.$options.data());
            !isCloseBtn && this.$refs.pop.close();
        },
        // 打开弹窗
        open() {
            this.close(true);
            this.$refs.pop.open();
        },
    },
};
</script>

<style lang="scss" scoped>
.menuBox {
    position: relative;
    height: 680px;
    width: 100%;
}
</style>
